Subject: Re: bug#65882: 29.1; rcirc doesn't rejoin channels automatically on reconnecting

From: Stefan Kangas <[email-masked]>
Date: Sat, 23 Sep 2023 04:41:08 -0700

Manphiz <[email-masked]> writes:

>> I don't necessarily object, but is it a regression?
>
> The reconnecting and rejoining channels feature is broken in certain
> situation, and this patch fixes that.  Some other users claimed this
> works for them, so I would say this may be considered a regression.
>
>> Is the change safe?
>
> According to the logic of the code, this patch enables doing work that
> (I believe) should have been done and not changing anything else, so I
> would say it is safe.
>
>> If the answer to either of those questions is "no", I think master is
>> the safer choice.
>
> I would say the answers are both yes, but of course that's just my
> opinion and the decision is up to you :)

Thanks.  If Philip agrees, I see no reason why this can't be installed
on emacs-29.